Get Datastore Group
A group of replicated datastores.
A datastore group represents a minimal set of datastores that must be protected and recovered together.
The rules for combining datastores are:
- Datastores are backed by storage devices from the same consistency group.
- Virtual machine spans multiple datastores.
- Two virtual machines on two different datastores share an RDM device.
For a non-Array-Based Replication protection group, this will return an empty response.
The ID of a pairing between this Site Recovery Manager server and remote one.
The ID of a protection group defined within current pairing.
The ID of a datastore group.
If you want VMs info, this will lead to slower and bigger API response.
Information of a datastore group related to an Array-Based Replication protection group.
{
"id": "string",
"array_pair": "string",
"datastores": [
{
"id": "string",
"name": "string",
"issue_type": "string",
"conflict_protection_group": "string",
"conflict_protection_group_name": "string",
"capacity_details": {
"total_capacity": 0,
"used_space": 0
}
}
],
"vm_infos": [
{
"id": "string",
"name": "string",
"template": false,
"inside_vapp": false,
"datastores": [
{}
],
"protection_status": "string",
"protection_issues": [
{
"type": "string",
"datastore_name": "string",
"device_id": 0,
"disk_key": 0,
"datastore": "string"
}
]
}
],
"potential_vm_to_add_infos": [
{
"id": "string",
"name": "string",
"template": false,
"inside_vapp": false,
"datastores": [
{}
],
"protection_status": "string",
"protection_issues": [
{
"type": "string",
"datastore_name": "string",
"device_id": 0,
"disk_key": 0,
"datastore": "string"
}
]
}
],
"rdm_keys": [
{
"id": "string",
"name": "string",
"issue_type": "string"
}
],
"status": "string",
"protection_groups": [
{}
],
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
]
}
}
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -H 'Authorization: <value>' https://{api_host}/pairings/{pairing_id}/protection-management/groups/{group_id}/datastore-groups/{datastore_group_id}